ekeyd_1.1.5-6.2_amd64.deb


Advertisement

Description

ekeyd - Simtec Electronics UDEKEY01 Entropy Key Daemon

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name ekeyd
Package version 1.1.5
Package release 6.2
Package architecture amd64
Package type deb
Installed size 227 B
Download size 68.91 KB
Official Mirror archive.ubuntu.com
This is a driver for the Simtec Electronics Entropy Key.  It is
only needed if you have such a device (or devices).  It provides
a daemon and tools to drive and control it, as well as options
for injecting entropy directly into the kernel's pool, or serving
it via the EGD protocol.

Alternatives

Package Version Architecture Repository
ekeyd_1.1.5-6.2_i386.deb 1.1.5 i386 Ubuntu Universe
ekeyd - - -

Requires

Name Value
libc6 >= 2.16
liblua5.1-0 -
lsb-base -
lua-socket -
lua5.1 -

Download

Type URL
Binary Package ekeyd_1.1.5-6.2_amd64.deb
Source Package ekeyd

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ekeyd deb package:
    # sudo apt-get install ekeyd

Files

Path
/etc/default/ekeyd
/etc/entropykey/ekeyd.conf
/etc/entropykey/keyring
/etc/init.d/ekeyd
/etc/munin/plugin-conf.d/ekeyd
/lib/udev/entropykey.sh
/lib/udev/rules.d/60-ekeyd.rules
/usr/sbin/ekey-rekey
/usr/sbin/ekey-setkey
/usr/sbin/ekeyd
/usr/sbin/ekeydctl
/usr/share/doc/ekeyd/AUTHORS
/usr/share/doc/ekeyd/README.egd-protocol
/usr/share/doc/ekeyd/README.gz
/usr/share/doc/ekeyd/README.protocol.gz
/usr/share/doc/ekeyd/README.security.gz
/usr/share/doc/ekeyd/changelog.Debian.gz
/usr/share/doc/ekeyd/copyright
/usr/share/man/man5/ekeyd.conf.5.gz
/usr/share/man/man8/ekey-rekey.8.gz
/usr/share/man/man8/ekey-setkey.8.gz
/usr/share/man/man8/ekeyd.8.gz
/usr/share/man/man8/ekeydctl.8.gz
/usr/share/munin/plugins/ekeyd_stat_

Changelog

2017-02-04 - Simon McVittie <smcv@debian.org>
ekeyd (1.1.5-6.2) unstable; urgency=medium
* Non-maintainer upload.
* Be compatible with newer versions of lua-socket (Closes: #852380).
Based on patches from Mathieu Parent and Courtney Bane.
* d/control: Make both binary packages depend on lsb-base for
/lib/lsb/init-functions, as detected by Lintian
2014-11-24 - gregor herrmann <gregoa@debian.org>
ekeyd (1.1.5-6.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix "fails to remove: subprocess installed post-removal script
returned error exit status 1":
apply patch from Cameron Norman to ekeyd.postrm:
use invoke-rc.d instead of calling udevcontrol and udevadm.
(Closes: #767671)
2013-09-29 - Paul Martin <pm@debian.org>
ekeyd (1.1.5-6) unstable; urgency=low
* Fix incorrect variable reference in Makefile. (Closes: #718106)
Thanks to Peter Michael Green.
* Depend on lua-socket instead of liblua5.1-socket2, as the latter is no
longer in jessie. Again, thanks to Peter Michael Green.
2013-05-21 - Paul Martin <pm@debian.org>
ekeyd (1.1.5-5) unstable; urgency=low
* Have init scripts not terminate if start-stop-daemon exits with an 
error. (Closes: #709204)
2012-05-18 - Paul Martin <pm@debian.org>
ekeyd (1.1.5-4) unstable; urgency=low
* Mea maxima culpa release.
* In the transition to dh, many files were given wrong names (not
renamed -- curse you dh_install) and so the postinst script errored.
The package was therefore not installable. In fixing this, it was found
that previous packagings were faulty too:
+ /usr/sbin/egd-linux and egd-linux.8 were installed in the ekeyd package.
+ udev rules were named 60-UDEKEY01.rules instead of 60-ekeyd.rules
* Patch:
+ versionfix.patch: The upstream version number was still being
reported as 1.1.4.
2012-05-17 - Paul Martin <pm@debian.org>
ekeyd (1.1.5-3) unstable; urgency=low
* Update to debhelper 9 and use the dh sequencer.
* Patch:
+ harden-egd.patch: let egd-linux be linked with hardened flags.
2011-12-16 - Paul Martin <pm@debian.org>
ekeyd (1.1.5-2) unstable; urgency=low
* Brown paper bag.
+ debian/ekeyd.postinst didn't get updated. (Closes: #640597)
+ debian/ekeyd-egd-linux.default didn't get updated. (Closes: #576387)
2011-12-14 - Paul Martin <pm@debian.org>
ekeyd (1.1.5-1) unstable; urgency=low
* New upstream release
[ Vincent Sanders ]
* Fix postinstall failure when udev is not installed. (Closes: #640597)
Thanks to gregor herrmann for NMU.
[ Paul Martin ]
* Fix escaping of slashes in key's serial number for munin scripts.
(Closes: #598317) 
* Make the default for ekeyd-egd-linux be to retry a connection if it
fails. (Closes: #576387)
* Fix the ekey-rekey manpage to document that the serial number can be
guessed automatically and that the master key will be prompted for if
not provided on the command line. (Fixes Ubuntu bug 625446.)
* Remove confusing Lua long-comments from ekeyd.conf.
2011-11-11 - gregor herrmann <gregoa@debian.org>
ekeyd (1.1.4-1.1) unstable; urgency=low
* Non-maintainer upload.
* Fix "installation fails": only reload udev in the postinst if it's
installed (udev is only in Recommends) (Closes: #640597)

See Also

Package Description
ekg2-api-docs_0.4~pre+20120506.1-14build1_all.deb instant messenger and IRC client for UNIX systems - API documentation
ekg2-core_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - main program
ekg2-gnupg_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - GnuPG
ekg2-jabber_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - Jabber/XMPP
ekg2-scripting-perl_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - Perl scripting
ekg2-scripting-python_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - Python scripting
ekg2-ui-gtk_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - GTK+ interface
ekg2-ui-ncurses_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems - ncurses interface
ekg2_0.4~pre+20120506.1-14build1_amd64.deb instant messenger and IRC client for UNIX systems
ekiga-plugin-evolution_4.0.1-9build1_amd64.deb H.323 and SIP compatible VoIP client - evolution plugin
ekiga_4.0.1-9build1_amd64.deb H.323 and SIP compatible VoIP client
el-get_3.1-1.1_all.deb install and manage elisp code for Emacs
el-ixir_3.0-1_amd64.deb two-player board game with randomness
elastalert-doc_0.1.28-1_all.deb easy and flexible alerting with Elasticsearch (documentation)
elastalert_0.1.28-1_all.deb easy and flexible alerting with Elasticsearch
Advertisement
Advertisement